# module ActiveLdap

### Constants

DN
LDIF
VERSION
XML

### Public Instance Methods

const_missing(id) click to toggle source
Calls superclass method

    # File lib/active_ldap/base.rb, line 49
    def const_missing(id)
      case id
      when :ConnectionNotEstablished
        message =
          _("ActiveLdap::ConnectionNotEstablished has been deprecated "              "since 1.1.0. "              "Please use ActiveLdap::ConnectionNotSetup instead.")
        ActiveSupport::Deprecation.warn(message)
        const_set("ConnectionNotEstablished", ConnectionNotSetup)
        ConnectionNotEstablished
      else
        super
      end
    end

get_text_supported?() click to toggle source

    # File lib/active_ldap/get_text.rb, line 5
    def get_text_supported?
      true
    end